//*******************************************************************************
//    
//  ACLK = 32,768, MCLK = SMCLK = default DCO ~ 800k
//
//                MSP430F1121
//             -----------------
//         /|\|              XIN|-  
//          | |                 | 32,768kHz
//          --|RST          XOUT|-
//            |                 |
//            |             P2.0|-->|- ACLK/8=4096Hz
//            |                 |   | |BUZZER 
//            |             P2.5|-->|-
//
//Port P2.5 jest ustawiony, na wyjsciu P2.0 pojawia sie sygnal o czestotliwosci = 4096Hz
// uzyskany poprzez podzielenie czestotliwosci oscylatora pracujacego z zewnetrznym kwarcem
// 32,768kHz -->ACLK/8 =4096
// przebieg jest generowany sprzetowo
// Wlaczenie brzeczyka nastepuje poprzez ustawienie portu P2.0 jako wyjscie, natomiast 
// wylaczenie poprzez ustawienie tego portu jako wejscie
// program powoduje piszczenie brzeczyka przez czas okolo 0,2s, a nastepnie taka sama pzerwe

    
#include  <msp430x11x2.h>

#define BUZ1  0x01                    //port P2.0
#define BUZ2  0x20                    //port P2.5  

void main(void)
{ 
  WDTCTL = WDTPW + WDTHOLD;           // zatrzymaj watchdog timer
  BCSCTL1|=0x30;                      // na P2.0 sygnal ACLK/8 =4096Hz
  P2DIR |= BUZ1;                      // P2.0 jako wyjscie
  P2SEL |= BUZ1;                      // P2.0 jako wyjscie ACLK 
  P2DIR |=BUZ2 ;                      // P2.5 jako wyjscie

  for (;;)                              
  {
    unsigned int i;

    P2DIR ^= BUZ1;                     // przelacza P2.0 jako wejscie/wyjscie 
    
    i = 50000;                         // Pauza
    
     while (i != 0)
                i--;
 
  }
}
