//*******************************************************************************
//  MSP-FET430X110 Demo 
//    
//  ACLK = n/a, MCLK = SMCLK = default DCO ~ 800k
//
//                MSP430F1121
//             -----------------
//         /|\|              XIN|-  
//          | |                 | 
//          --|RST          XOUT|-
//            |                 |
//            |             P2.0|-->|- 
//            |                 |   | |BUZZER 
//            |             P2.5|-->|-
//
//  M.Buccini
//  Texas Instruments, Inc
//  February 2002
//  Built with IAR Embedded Workbench Version: 1.25A
//******************************************************************************

//Stany portow P2.5 i P2.0 zmieniaja sie naprzemiennie wytwarzajac sygnal sterujacy 
// brzeczykiem przebieg jest generowany programowo, a czestotliwosc ustalana poprzez
// wpisanie wartosci do zmiennej k, 
// Wlaczenie brzeczyka nastepuje poprzez ustawienie portu P2.0 jako wyjscie, natomiast 
// wylaczenie poprzez ustawienie tego portu jako wejscie
// program powoduje piszczenie brzeczyka przez czas okolo 0,5s, a nastepnie taka sama pzerwe

    
#include  <msp430x11x2.h>

#define BUZ1  0x01                    //port P2.0
#define BUZ2  0x20                    //port P2.5  

void main(void)
{ 
  WDTCTL = WDTPW + WDTHOLD;           // zatrzymaj watchdog timer
  P2OUT&=~BUZ1;                       //zeruj P2.0
  P2OUT&=~BUZ2;                       //zeruj P2.5
  P2DIR |= BUZ1;                      // P2.0 jako wyjscie
  P2DIR |= BUZ2 ;                     // P2.5 jako wyjscie

  for (;;)                              
  {
    unsigned int i,k;

    P2DIR ^= BUZ1;                     // przelacza P2.0 pomiedzy wejsciem, a wyjsciem
    
    for(i=0;i<=500;i++)
      {for(k=0;k<50;k++);
       P2OUT|=BUZ1;                    //ustaw P2.0 
       P2OUT&=~BUZ2;                   //zeruj P2.5
       for(k=0;k<50;k++);
       P2OUT&=~BUZ1;                   //zeruj P2.0 
       P2OUT|=BUZ2;                    //ustaw P2.5
       }
 }
}
