//*******************************************************************************
//  MSP-FET430X110 Demo 
//
//  Description; Toggle P2.3 by xor'ing P2.3 inside of a software loop.
//  ACLK = n/a, MCLK = SMCLK = default DCO ~ 800k
//
//                MSP430F1121A
//             -----------------
//         /|\|              XIN|-  
//          | |                 |
//          --|RST          XOUT|-
//            |                 |
//            |             P2.3|-->LED1
//  M.Buccini
//  Texas Instruments, Inc
//  February 2002
//  Built with IAR Embedded Workbench Version: 1.25A
//******************************************************************************

//mruganie dioda LED1


#include  <msp430x11x2.h>

#define LED1  0x08
  

void main(void)
{ 
  WDTCTL = WDTPW + WDTHOLD;             //zatrzymaj watchdog timer
  P2DIR |= LED1;                        //Port P2.3 jako wyjscie
  P2OUT|=LED1;                          //dioda LED1 wylaczona
  

  for (;;)                              
  {
    unsigned int i;

    P2OUT ^= LED1;                      //Zmienia stan P2.3 na przeciwny 
        i = 50000;                      //pauza  
        do (i--);
    while (i != 0);
  }
}
