//*******************************************************************************
//  MSP-FET430X110 Demo 
//
//  Description; Toggle P2.3 by xor'ing P1.0 inside of a software loop.
//  ACLK = n/a, MCLK = SMCLK = default DCO ~ 800k
//
//                MSP430F1121A
//             -----------------
//         /|\|              XIN|-  
//          | |                 |
//          --|RST          XOUT|-
//            |                 |
//            |             P2.3|-->LED1
//            |             P2.4|-->LED2

//  M.Buccini
//  Texas Instruments, Inc
//  February 2002
//  Built with IAR Embedded Workbench Version: 1.25A
//******************************************************************************

//naprzemienne mruganie diodami LED


#include  <msp430x11x2.h>

#define LED1  0x08
#define LED2  0x10  

void main(void)
{ 
  WDTCTL = WDTPW + WDTHOLD;             //zatrzymaj watchdog timer
  P2DIR |= LED1;                        //Port P2.3 jako wyjscie
  P2DIR |= LED2;                        //Port P2.4 jako wyjscie
  P2OUT|=LED1;                          //dioda LED1 wylaczona
  P2OUT&=~LED2;                         //dioda LED2 wlaczona


  for (;;)                              
  {
    unsigned int i;

    P2OUT ^= LED1;                      //Zmienia stan P2.3 na przeciwny 
    P2OUT ^= LED2;                      //Zmienia stan P2.4 na przeciwny
    i = 50000;                          //pauza  
        do (i--);
    while (i != 0);
  }
}
