//*************************************************************************************************//
//    Obsuga wywietlacza LCD 2*16 format 4bitowy
//************************************************************************************************//

#define LCD_PORT  P1OUT                              //port P1
#define LCD_EN    0x10                               //port P2.4  
#define LCD_RS    0x08                               //port P2.3


unsigned int ki;

void lcd_send_nibble( char nn ) {
      P2OUT&=~LCD_EN;                 //LCD_EN = 0;
      P1OUT&=0x0F;
      nn&=0xF0;                       //i wyzeruj mlodsza
      P1OUT|=nn;                      //zapisz do portu  
      _NOP();
      P2OUT|=LCD_EN;                  //LCD_EN= 1;
      _NOP();
      _NOP();
      P2OUT&=~LCD_EN;                 //LCD_EN = 0;
}


void lcd_send_byte( char address, char n ) {
char k;
  P2OUT&=~LCD_RS;                     // jesli komenda to zeruj RS
  for(k=0;k<20;k++);                  //czekaj na wyswietlacz  
  if(address==1) P2OUT|=LCD_RS;       
  _NOP();                             //delay_cycles(1);
  P2OUT&=~LCD_EN;                     //lcd_en = 0;
  lcd_send_nibble(n);                 //wyslij starsza tetrade
  lcd_send_nibble(n<<4);              //wyslij mlodsza tetrade  
}


//inicjalizacja portow i wyswietlacza
void lcd_init() 
{char j;
    P1OUT&=0x0F;                       //wyzeruj P1.4-p1.7
    P1DIR|= 0xF0;                      // P1.4 - P1.7 jako wyjscia
    P2OUT&=~LCD_EN;                    //zeruj EN
    P2OUT&=~LCD_RS;                    //zeruj RS
    P2DIR|=LCD_EN;                     //EN i RS jako wyjscia
    P2DIR|=LCD_RS;

    for(ki=0;ki<10000;ki++);            //czekaj ok. 15ms  
    for(j=1;j<=3;++j) {
       lcd_send_nibble(0x30);
       for(ki=0;ki<2000;ki++);         //czekaj ok. 5ms 
    }
    lcd_send_nibble(0x20);
    lcd_send_byte(0,0x28);             //wyswietlacz 2linie  
    lcd_send_byte(0,0x0c);             //lcd on
    lcd_send_byte(0,1);                //clear lcd
    for(ki=0;ki<1000;ki++);            //czekaj ok. 2ms
    lcd_send_byte(0,6);                //entry mode set
}


void lcd_putc( char c) {
   switch (c) {
     case '\f'   : lcd_send_byte(0,1);          //zeruje wyswietlacz    
                   for(ki=0;ki<1000;ki++);     //czekaj ok. 2ms
                   break;
     case '\b'   : lcd_send_byte(0,0x02);  break; //ustawienie kursora na 1pozycji
     default     : lcd_send_byte(1,c);     break; //wyswietlenie znaku
   }
}


