//*******************************************************************************
//  MSP-FET430X110 Demo 
//
//  
//  ACLK = n/a, MCLK = SMCLK = default DCO ~ 800k
//
//                MSP430F1121A
//             -----------------
//         /|\|              XIN|-  
//          | |                 |
//          --|RST          XOUT|-
//            |                 |
//       S1-->|P2.1         P2.3|-->LED1
//       S2-->|P1.2         P2.4|-->LED2


//nacisniecie przycisku S1 powoduje zmiane sstanu diody LED1 na przeciwny
//nacisniecie przycisku S2 powoduje zmiane sstanu diody LED2 na przeciwny

#include  <msp430x11x2.h>

#define LED1  0x08
#define LED2  0x10  
#define S1    0x02
#define S2    0x04

#define S1IN  (P2IN&0x02)
#define S2IN  (P1IN&0x04)

void main(void)
{ 
  WDTCTL = WDTPW + WDTHOLD;             //zatrzymaj watchdog timer
  P2DIR |= LED1;                        //Port P2.3 jako wyjscie
  P2OUT |= LED1;                        //dioda LED1 wylaczona
  P2DIR |= LED2;                        //Port P2.4 jako wyjscie
  P2OUT |= LED2;                        //dioda LED1 wylaczona
  P2DIR &=~S1;                          //port P2.1 jako wejscie                         
  P1DIR &=~S2;                          //port P1.2 jako wejscie
  for (;;)                              
  {
    unsigned int i;

   if(S1IN==0)                        //jesli nacisniety przycisk S1
       {for(i=0;i<5000;i++);            //czekaj 6ms      
          if(S1IN==0)                 //sprawdz ponownie czy nacisniety S1
             {P2OUT^=LED1;              //jeli tak to zmien stan LED1
              while (S1IN==0);        //czekaj na zwolnienie S1
              for(i=0;i<5000;i++);      //pauza 6ms  
              }  
        }

    if(S2IN==0)                       //jesli nacisniety przycisk S2
       {for(i=0;i<5000;i++);            //czekaj 6ms 
          if(S2IN==0)                 //sprawdz ponownie czy nacisniety S2
             {P2OUT^=LED2;              //jeli tak to zmien stan LED2
              while (S2IN==0);        //czekaj na zwolnienie S2
              for(i=0;i<5000;i++);      //pauza 6ms 
              }  
        }
  }

}